
QGIS Application - Feature request #1297

Add ability to control stroke capping for line symbology (or default to flat cap)

2008-09-05 01:52 PM - Ollie O'Brien -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Symbology

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 11357

Description

It would be good to have control over how stroke capping is set - so that strokes which have thickness x don't extend beyond the actual

end of the polyline by distance x/2, but rather finish exactly at it.

See http://doc.trolltech.com/4.5/qpen.html#setCapStyle

Default is square capping, which causes the protrusion past the polyline end-point

QT 3 default was for flat capping - looks like this changed in QT 4.

Also looks like the old (pre 1.0) print composer setCapStyle to flat capping.

One problem with flat-capping is that it might cause ugly white slivers to appear where two polylines meet each other not-quite head-on -

so probably needs to be a configurable option.

History

#1 - 2010-04-24 05:02 AM - Paolo Cavallini

Isn't this solved in the new symbology? Can we close it?

#2 - 2010-04-24 04:40 PM - Ollie O'Brien -

- Resolution set to fixed

- Status changed from Open to Closed

Agreed, closing.
